Name:           perl-Crypt-ScryptKDF
Version:        0.010
Release:        1%{?dist}
Summary:        Scrypt password based key derivation function
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Crypt-ScryptKDF/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MI/MIK/Crypt-ScryptKDF-%{version}.tar.gz

BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  perl
BuildRequires:  perl-devel
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

# Run-time
BuildRequires:  perl(Exporter) >= 5.59
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(XSLoader)

# Testing
BuildRequires:  perl(Crypt::OpenSSL::Random)
BuildRequires:  perl(Test::More)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# a strong PRNG required, the simplest one
Requires:       perl(Crypt::OpenSSL::Random)

%description
Scrypt is a password-based key derivation function (like for example
PBKDF2). Scrypt was designed to be "memory-hard" algorithm in order to make
it expensive to perform large scale custom hardware attacks.

%prep
%setup -q -n Crypt-ScryptKDF-%{version}

%build
perl Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%{!?_licensedir:%global license %doc}
%license LICENSE
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Crypt*
%{_mandir}/man3/*


%changelog
* Mon Jan 04 2016 Denis Fateyev <denis@fateyev.com> - 0.010-1
- Update to 0.010 version

* Wed Nov 25 2015 Denis Fateyev <denis@fateyev.com> - 0.009-2
- Small spec improvements

* Mon Nov 16 2015 Denis Fateyev <denis@fateyev.com> - 0.009-1
- Initial release
